Get Consent
curl --request GET \
--url https://api.yapily.com/consents/{consentId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.yapily.com/consents/{consentId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.yapily.com/consents/{consentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"tracingId": "679e7bb6cd45416a9a9a8d004c5315da"
},
"data": {
"id": "56a42244-414a-4b52-8c4f-4ad2a50e82fe",
"userUuid": "ca412fdf-5a30-43a2-88b7-5964a24a8e55",
"applicationUserId": "string",
"institutionId": "modelo-sandbox",
"status": "AUTHORIZED",
"createdAt": "2021-06-08T10:59:35.138Z",
"featureScope": [
"ACCOUNT_BENEFICIARIES",
"ACCOUNT_STATEMENT_FILE",
"ACCOUNTS",
"ACCOUNT_PERIODIC_PAYMENTS",
"ACCOUNT_TRANSACTIONS",
"ACCOUNT",
"ACCOUNT_STATEMENTS",
"ACCOUNT_SCHEDULED_PAYMENTS",
"IDENTITY",
"ACCOUNT_DIRECT_DEBITS",
"ACCOUNT_STATEMENT",
"ACCOUNT_BALANCES",
"ACCOUNT_TRANSACTIONS_WITH_MERCHANT"
],
"consentToken": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzUxMiJ9.eyJJTlNUSVRVVElPTiI6Im1vZGVsby1zYW5kYm94IiwiQ09OU0VOVCI6IjU2YTQyMjQ0LTQxNGEtNGI1Mi04YzRmLTRhZDJhNTBlODJmZSIsIkFQUExJQ0FUSU9OX1VTRVJfSUQiOiJtb2ZlLTIiLCJVU0VSIjoiY2E0MTJmZGYtNWEzMC00M2EyLTg4YjctNTk2NGEyNGE4ZTU1In0.gorwpnUjSr5dzQJLR32M2geWOj7yK9xMsZmq27ssY9xP_xGmWfUL_aqVHYyQ4r5KWw6Xb6RjvO839st8chJLtg",
"state": "a09f8ff9c1284444aa635267e05f76e1",
"authorizedAt": "2021-06-08T10:59:53.288Z",
"lastConfirmedAt": "2021-07-08T10:59:53.288Z",
"reconfirmBy": "2021-10-06T10:59:53.288Z",
"institutionConsentId": "aac-605d48f2-2a0e-4594-81a9-996524fa3b2a"
}
}{
"error": {
"code": 401,
"status": "UNAUTHORIZED",
"message": "Full authentication is required to access this resource"
}
}Consents
Get Consent
Get consent using the consent Id
Get Consent
Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Path Parameters
Mandatory. The consent Id of the Consent to update.
Was this page helpful?
⌘I